# Contributing

Contributions are welcome and are greatly appreciated! Every little bit
helps, and credit will always be given.

## Types of Contributions

### Report Bugs

Report bugs by creating an [issue](https://github.com/py-pkgs/py-pkgs/issues).

If you are reporting a bug, please include:

* Your operating system name and version.
* Any details about your local setup that might be helpful in troubleshooting.
* A minimum reprex (reproducible example).

### Fix Bugs

Look through the GitHub issues for bugs. Anything tagged with "bug" and "help
wanted" is open to whoever wants to implement it.

### Implement Features

Look through the GitHub issues for features. Anything tagged with "enhancement"
and "help wanted" is open to whoever wants to implement it. Features might include improvements or additions to book text, documentation, or code, amongst others.

### Submit Feedback

The best way to send feedback is to file an [issue](https://github.com/py-pkgs/py-pkgs/issues).

If you are proposing a feature:

* Explain in detail how it would work.
* Keep the scope as narrow as possible, to make it easier to implement.
* Remember that this is a volunteer-driven project, and that contributions
  are welcome :)

## Get Started!

Ready to contribute? Here's how to set up `py-pkgs` for local development.

1. Fork the `py-pkgs` repo on GitHub.

2. Clone your fork locally:

	```
	git clone git@github.com:your_name_here/py-pkgs.git
	```

3. Create a branch for local development:

	```
	git checkout -b name-of-your-bugfix-or-feature
	```
	Now you can make your changes locally.

4. Commit your changes and push your branch to GitHub:

	```
	git add .
	git commit -m "Your detailed description of your changes."
	git push origin name-of-your-bugfix-or-feature
	```

5. Submit a pull request by e.g., using the GitHub website.

## Code of Conduct

Please note that the py-pkgs project is released with [this Contributor Code of Conduct](CONDUCT.md). By contributing to this project you agree to abide by its terms.
